curl --request POST \
--url https://api.synctera.com/v2/cards/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"is_active": true,
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}
'import requests
url = "https://api.synctera.com/v2/cards/gateways"
payload = {
"card_products": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"is_active": True,
"url": "<string>",
"custom_headers": {},
"standin": { "enabled": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_products: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
is_active: true,
url: '<string>',
custom_headers: {},
standin: {enabled: true}
})
};
fetch('https://api.synctera.com/v2/cards/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/cards/gateways",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'card_products' => [
'7d943c51-e4ff-4e57-9558-08cab6b963c7'
],
'is_active' => true,
'url' => '<string>',
'custom_headers' => [
],
'standin' => [
'enabled' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/cards/gateways"
payload := strings.NewReader("{\n \"card_products\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"is_active\": true,\n \"url\": \"<string>\",\n \"custom_headers\": {},\n \"standin\": {\n \"enabled\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/cards/gateways")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"card_products\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"is_active\": true,\n \"url\": \"<string>\",\n \"custom_headers\": {},\n \"standin\": {\n \"enabled\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/cards/gateways")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"card_products\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"is_active\": true,\n \"url\": \"<string>\",\n \"custom_headers\": {},\n \"standin\": {\n \"enabled\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"tenant": "abcdef_ghijkl",
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
},
"type": "POST_AUTH"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Create Gateway
Create a new Authorization Gateway Configuration
curl --request POST \
--url https://api.synctera.com/v2/cards/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"is_active": true,
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}
'import requests
url = "https://api.synctera.com/v2/cards/gateways"
payload = {
"card_products": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"is_active": True,
"url": "<string>",
"custom_headers": {},
"standin": { "enabled": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_products: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
is_active: true,
url: '<string>',
custom_headers: {},
standin: {enabled: true}
})
};
fetch('https://api.synctera.com/v2/cards/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/cards/gateways",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'card_products' => [
'7d943c51-e4ff-4e57-9558-08cab6b963c7'
],
'is_active' => true,
'url' => '<string>',
'custom_headers' => [
],
'standin' => [
'enabled' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/cards/gateways"
payload := strings.NewReader("{\n \"card_products\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"is_active\": true,\n \"url\": \"<string>\",\n \"custom_headers\": {},\n \"standin\": {\n \"enabled\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/cards/gateways")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"card_products\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"is_active\": true,\n \"url\": \"<string>\",\n \"custom_headers\": {},\n \"standin\": {\n \"enabled\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/cards/gateways")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"card_products\": [\n \"7d943c51-e4ff-4e57-9558-08cab6b963c7\"\n ],\n \"is_active\": true,\n \"url\": \"<string>\",\n \"custom_headers\": {},\n \"standin\": {\n \"enabled\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"tenant": "abcdef_ghijkl",
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
},
"type": "POST_AUTH"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Create a new Authorization Gateway Configuration
List of Card Product unique identifiers that will utilize the Gateway
Current status of the Authorization gateway
URL of the Authorization gateway
1000These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether this gateway is invoked after the pending transaction/hold is created (POST_AUTH, the default) or before it exists (PRE_AUTH). PRE_AUTH gateways are not yet supported.
POST_AUTH, PRE_AUTH Callbacks
POST{$request.body#/url}gateway_authorization
Body
Request sent to gateway for authorization.
Amount fields available pre-auth, before the pending transaction/hold exists (excludes approved_amount and total_pending_amount, which are derived from the hold).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier of the transaction.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Unique identifier of the account.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
PHYSICAL, VIRTUAL Unique identifier of the card.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Unique identifier of the customer.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Last four digits of the card PAN.
"1234"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
EPISODE_SIX, MARQETA An unstructured JSON blob containing raw transaction data from the processor.
"2010-05-06T12:23:34.321Z"
Show child attributes
Show child attributes
The time when the transaction occurred.
"2010-05-06T12:23:34.321Z"
Unique identifier of the digital wallet token.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier assigned to each individual request.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Indicates if the transaction is surcharge free.
Show child attributes
Show child attributes
ACQUIRER_EXEMPT, AUTHENTICATED, EXEMPT, NOT_AUTHENTICATED Show child attributes
Show child attributes
Response
Approve the funding request.
POST{$request.body#/url}preauth_gateway_authorization
Body
Request sent to gateway for pre-authorization, before the pending transaction/hold exists. Contains the same fields as gateway_authorization except for the ones that depend on the hold (transaction_id, balance, and the hold-derived amount fields).
Amount fields available pre-auth, before the pending transaction/hold exists (excludes approved_amount and total_pending_amount, which are derived from the hold).
Show child attributes
Show child attributes
Unique identifier of the account.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
PHYSICAL, VIRTUAL Unique identifier of the card.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Unique identifier of the customer.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Last four digits of the card PAN.
"1234"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
EPISODE_SIX, MARQETA An unstructured JSON blob containing raw transaction data from the processor.
"2010-05-06T12:23:34.321Z"
Show child attributes
Show child attributes
The time when the transaction occurred.
"2010-05-06T12:23:34.321Z"
Unique identifier of the digital wallet token.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unique identifier assigned to each individual request.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Indicates if the transaction is surcharge free.
Show child attributes
Show child attributes
ACQUIRER_EXEMPT, AUTHENTICATED, EXEMPT, NOT_AUTHENTICATED Show child attributes
Show child attributes
Response
Approve the transaction. The response body may optionally include a routing_config to override the account funding sequence.
Response body for a 200 (approve) pre-authorization response. routing_config is only honored when the transaction's account is a router Zero Balance Account — it is ignored otherwise.
Show child attributes
Show child attributes
Response
New Authorization Gateway Configuration created
List of Card Product unique identifiers that will utilize the Gateway
The timestamp representing when the gateway config request was made
"2010-05-06T12:23:34.321Z"
Gateway ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Current status of the Authorization gateway
The timestamp representing when the gateway config was last modified at
"2010-05-06T12:23:34.321Z"
The id of the tenant containing the resource.
"abcdef_ghijkl"
URL of the Authorization gateway
1000These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether this gateway is invoked after the pending transaction/hold is created (POST_AUTH, the default) or before it exists (PRE_AUTH). PRE_AUTH gateways are not yet supported.
POST_AUTH, PRE_AUTH Was this page helpful?

